2024-03-03 01:02 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005463Batman[All Projects] Generalpublic2022-10-22 21:19
ReporterHexaae 
Assigned ToCFOUProject InfoBatman the Caped Crusader (Ocean)
http://www.whdload.de/games/Batman.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0005463: BatmanCC seems to be broken and same probably can happen on real HW if tested
DescriptionGameVersion: english,pal
SlaveVersion: version 1.2 (15.03.20)

BatmanCC seems to be broken and same probably can happen on real HW if tested few dozen times.
It does blitter clear and then it does music player init, before blitter has finished.
Music player init code writes to same addresses that blitter is still clearing. It is practically +-1 cycle difference between working and non-working state. It working or not working basically depends on which horizontal position code is called (refresh slot positions)
Of course it waits for blitter after init has been done..
Fortunately it is mostly harmless, it only breaks music player (it wastes lots of cpu time), delaying next vertical blank interrupt that sets up bitplane pointers. Result is broken music and broken screen.
-Toni Wilen (from a thread on EAB forum)
TagsNo tags attached.
MachineUAE
CPU68060
CPUSpeed100
ChipSetAGA
GFXCardOther
ChipMem2 MB
FastMem256 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.7
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0010859

Hexaae (reporter)

It does not seem to be patched. It probably accidentally works because most accelerators have slightly slower chipram access speed.

Clear blit starts here:

Code:
00070554 3d7c 0360 0056 move.w #$0360,(a6,$0056) == $00dff058

EDIT: It also writes something to printer port.
-Toni

note ~0011019

Excolion (reporter)

I've had a problem regarding this game as well. And here is how I fixed it.
With the following settings:

Classic WB FULL, WinUAE 4.2.1 . A1200, 68020, 14 CPUSpeed ( 4x(A1200) ), 2 + 8 MB RAM, OS 3.1 , Kick 3.1 , WHDLoad 18.7 .
GameVersion: english,pal
SlaveVersion: version 1.2 (15.03.20)

The game starts but after reaching the F1 and F2 choosing screen, the screen gets frozen and quitkey starts to no longer work. In fact no buttons work and the sound is broken as well. I have to hard quit winuae.
After changing the CPU frequency from 4x(A1200) to 2x(A500), the game no longer freezes at that screen and proceeds without any issues.

note ~0011020

Hexaae (reporter)

Yes, there are some workarounds, f.e. it works 99.999% times for me with these tooltypes:

Name: Work:Games/HDInstalled/BatmanCC/Batman
Type: NewIcon
  SS: 22336
  IT: Project
  BP: 2,0
  SZ: x= 3, y= 14, w= 48, h= 20
  DT: (YES) WHDLoad
  TT: (YES, NEWICON)
  Slave=BatmanCapedCrusader.slave
  QUITKEY=93
  PreLoad
  ExecuteStartup=
  ExecutePostDisk=C:uae-configuration cachesize 0 immediate_blits true
  Custom2=1

The real bug in the code anyway should be addressed for a real fix.

note ~0011846

CFOU (developer)

fixed with V2.0 soon released
+Notes

-Issue History
Date Modified Username Field Change
2022-01-05 23:06 administrator New Issue
2022-01-05 23:06 administrator Status new => assigned
2022-01-05 23:06 administrator Assigned To => CFOU
2022-01-06 09:33 Hexaae Note Added: 0010859
2022-03-17 13:03 Excolion Note Added: 0011019
2022-03-17 15:59 Hexaae Note Added: 0011020
2022-10-22 21:19 CFOU Status assigned => closed
2022-10-22 21:19 CFOU Resolution open => fixed
2022-10-22 21:19 CFOU Note Added: 0011846
+Issue History